summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2023-02-03 16:37:26 +0000
committerPádraig Brady <P@draigBrady.com>2023-02-03 16:38:55 +0000
commitce5225bcef6209509a9cc812adfd4cc74078fa73 (patch)
tree53b1cab7a8573562f880f815fcbc0f096850b5b7
parentb319685c6e12e66bf357c2384fe69f1c63f66aed (diff)
downloadcoreutils-ce5225bcef6209509a9cc812adfd4cc74078fa73.tar.gz
tests: fix exit status check in cp -u test
* tests/cp/preserve-link.sh: This should have been part of commit v9.1-134-g01503ce73.
-rwxr-xr-xtests/cp/preserve-link.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/cp/preserve-link.sh b/tests/cp/preserve-link.sh
index 2adaffd44..eb83b0f2b 100755
--- a/tests/cp/preserve-link.sh
+++ b/tests/cp/preserve-link.sh
@@ -81,7 +81,7 @@ for f in f linkm; do
# Copy all the hard links across. With cp from coreutils-8.12
# and prior, it would sometimes mistakenly copy rather than link.
- returns_ 1 cp -au s t || fail=1
+ cp -au s t || fail=1
same_inode t/s/f t/s/linkm || fail=1
same_inode t/s/f t/s/linke || fail=1